#!/bin/bash

set -eu -o pipefail

# Fire up Jekyll with the right configuration
run_jekyll() {
  set -eu

  local args="--port $JEKYLL_PORT --host $JEKYLL_HOST --trace"

  # Note(decentral1se): handle the case where the Dokku is deploying the app
  # with HTTP support only before we have a chance to deploy the lets encrypt
  # certificates and mount them into the container
  if [ -f "$JEKYLL_SSL_CERT" ]; then
    args="${args} --ssl-cert $JEKYLL_SSL_CERT"
  fi
  if [ -f "$JEKYLL_SSL_KEY" ]; then
    args="${args} --ssl-key $JEKYLL_SSL_KEY"
  fi

  jekyll serve "$args"
}

# Main entrypoint
main() {
  set -eu

  run_jekyll
}

main
